#include <Block/SpriteBlock/BasicBlock/Glass/Glass.hpp>
#include <ItemRegistry/ItemRegistry.hpp>
#include <World/World.hpp>

Glass::Glass(std::string name, std::string displayName, std::string texName, float hardness) :
    BasicBlock(name, displayName, hardness, texName)
{
    digManually();
    withGlassSounds();
}

bool Glass::isFullyOpaque()
{
    return false;
}

void Glass::onDesignerInitializing(BlockSpriteDesigner &designer, ScriptEngine &engine)
{
    designer.useFallbackScript("glass.lua");
}